#!/bin/bash
#
# Send a job to the UNICORE UFTP server, i.e. announce that 
# a client will connect
#
# this implementation  uses the netcat (nc) utility 
#
 
#
# Installation directory
#
dir=`dirname $0`
if [ "${dir#/}" = "${dir}" ]
then
  if [ "$dir" != "." ]
  then
    dir="$(pwd)/$dir"
  else
    dir="$(pwd)"
  fi
fi

INST="${dir%/bin}"

#Alternatively specify the absolute path of the installation dir here
#INST=

#
# source config file
#
. ${INST}/conf/uftpd.conf


#
# netcat executable
#
NC=nc

#
# parse options
#
while getopts ":c:f:x:u:g:n:s:E:" opt; do
  case $opt in
    c)
      CLIENT=$OPTARG
      ;;
    f)
      FILE=$OPTARG
      ;;
    s)
      SEND=$OPTARG
      ;;
    x)
      SECRET=$OPTARG
      ;;
    u)
      USER=$OPTARG
      ;;
    g)
      GROUP=$OPTARG
      ;;
    x)
      SECRET=$OPTARG
      ;;
    n)
      STREAMS=$OPTARG
      ;;
    E)
      ENC="key=$OPTARG"
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      exit 1
      ;;
    :)
      echo "Option -$OPTARG requires an argument." >&2
      exit 1
      ;;
  esac
done

#
# go
#

${NC} $CMD_HOST $CMD_PORT <<EOF
client-ip=$CLIENT
send=$SEND
file=$FILE
streams=$STREAMS
secret=$SECRET
user=$USER
group=$GROUP
$ENC

EOF
